/* checkenv.m4,v 1.1 2000-02-16 23:26:12-05 rl Exp */

/*************************************************************************
 *                                                                       *
 * checkenv.cmd                                                          *
 * Checks environment variable like %PATH% for non existing directories  *
 * 2000-02-16, Rolf Lochbuehler                                          *
 *                                                                       *
 *************************************************************************/

parse arg e

e = strip( e, , '%' )
eu = translate( e )

if (eu = '/H') | (eu = '-H') | (eu = '') then
  do
  say 'CheckEnv 1.1, Rolf Lochbuehler <rolf@weitewelt.net>'
  say 'Purpose:'
  say '  Checks environment variables like %PATH% for non existing directories'
  say 'Usage:'
  say '  checkenv [ /H | Variable]'
  say 'Arguments:'
  say '  (none)         Print this help text, then abort'
  say '  /H             Print this help text, then abort'
  say '  Variable       Environment variable (must be list of directories,'
  say '                 like %BOOKSHELF%, %DPATH%, %HELP%, or %PATH%)'
  say 'Example:'
  say '  checkenv path'
  say ''
  exit 1
  end

calldir = directory()
call check e, eu
call directory calldir

exit 0


/*************************************************************************
 *                                                                       *
 * check()                                                               *
 * Check single variable                                                 *
 *                                                                       *
 *************************************************************************/
check : procedure

  parse arg e, eu

  v = value( e, , 'OS2ENVIRONMENT' )

  ok = 1

  do while length(v) > 0
    parse var v d ';' v
    if '' = directory(d) then
      do
      if ok then
        do
        say 'These directories in %'eu'% do not exist:'
        ok = 0
        end
      say '  'd
      end
  end
  
  if ok then
    say 'All directories in %'eu'% exist'

  return


